import React from 'react';
import PropTypes from 'prop-types';
import Button from '@s-ui/react-atom-button';
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { BASE_CLASS_NAME } from './config';
var ALTERNATIVE_ACTION_TEXT = '- o -';
var BUTTON_COLOR = 'primary';
var BUTTON_DESIGN = 'solid';
var BUTTON_SIZE = 'small';

var InitialState = function InitialState(_ref) {
  var _ref$buttonDesign = _ref.buttonDesign,
      buttonDesign = _ref$buttonDesign === void 0 ? BUTTON_DESIGN : _ref$buttonDesign,
      _ref$buttonColor = _ref.buttonColor,
      buttonColor = _ref$buttonColor === void 0 ? BUTTON_COLOR : _ref$buttonColor,
      buttonText = _ref.buttonText,
      _ref$buttonSize = _ref.buttonSize,
      buttonSize = _ref$buttonSize === void 0 ? BUTTON_SIZE : _ref$buttonSize,
      icon = _ref.icon,
      text = _ref.text,
      _ref$dividerText = _ref.dividerText,
      dividerText = _ref$dividerText === void 0 ? ALTERNATIVE_ACTION_TEXT : _ref$dividerText;
  return /*#__PURE__*/React.createElement("div", {
    className: BASE_CLASS_NAME + "-initialState"
  }, /*#__PURE__*/React.createElement("div", {
    className: BASE_CLASS_NAME + "-iconInitialState"
  }, /*#__PURE__*/React.createElement(AtomIcon, {
    size: ATOM_ICON_SIZES.extraLarge
  }, icon)), /*#__PURE__*/React.createElement("div", {
    className: BASE_CLASS_NAME + "-textState"
  }, /*#__PURE__*/React.createElement("span", {
    className: BASE_CLASS_NAME + "-textStateText"
  }, text), /*#__PURE__*/React.createElement("span", {
    className: BASE_CLASS_NAME + "-textStateDivider"
  }, dividerText)), /*#__PURE__*/React.createElement("div", {
    className: BASE_CLASS_NAME + "-buttonState"
  }, /*#__PURE__*/React.createElement(Button, {
    color: buttonColor,
    size: buttonSize,
    design: buttonDesign
  }, buttonText)));
};

InitialState.displayName = 'InitialState';
export default InitialState;